PUT /api/v3/account/{accountId}/codeversion

EditAccountCodeVersionV3 Permissions: Accounts (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
accountId integer (int32) Required

Request Body

AccountCodeHistoryRequest
Property Description Type
codeChangeDate Date that the account code was changed Required (defined) string (date-time)
newAccountCode Account code that will replace the existing one Required Must be between 0 and 50 characters string
newAccountInfo Account info that can replace the existing info Must be between 0 and 50 characters Required (defined) string
Example Request Body application/json
{  "codeChangeDate": "2026-03-30",  "newAccountCode": "string",  "newAccountInfo": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

AccountCodeHistoryResponse
Property Description Type
accountCode Account code of the account Required (defined) string
accountCodeHistory AccountCodeHistoryChild
AccountCodeHistoryChild properties
Property Description Type
endDate Date that the account code was changed string (date-time)
previousAccountCode The previous account code of this account string
accountId Account identifier Required (defined) integer (int32)
accountInfo Name of the account Required (defined) string
Example Response application/json
{  "accountCode": "string",  "accountCodeHistory": {    "endDate": "2026-03-30",    "previousAccountCode": "string"
  },  "accountId": 1,  "accountInfo": "string"
}